
I was at home having lunch with my mother, brother and grandmother.

I was cutting a melon with a very sharp Chinese knife and I cut my finger a little (I still have the scar). I generally pass out when I see blood so I asked my brother to bring me some water with sugar while my mom went to look for a patch. I was looking at my brother and, suddenly, I was on the top of a mountain. All around there were other snow-capped peaks and the colors of the sun were similar at a sunset. In front of me, a handsome guy shows up, with short, blond hair, dark blond, trimmed beard, and blue eyes wearing a red Colmar down jacket. He was always smiling. He told me that if I continued to be the way I was in this life, one day I would be happy. He told me other things I don't remember, but I remember I was in peace, and serenity; everything was huge and beautiful, there was love and perfection, the universe was balance and I was in a blissful state.

Then, I remember, he told me something terribly painful. I rejected it because I felt huge pain. After that, he told me I had to 'come back' and I started yelling, 'No'. I was desperate, I didn't want to go back but two hands pushed me into the vacuum and darkness. I realized that I was about to go back to the earth and I was crying. I felt all the pain of the world on me. I felt the wars, the diseases, injustices, and it was all gray. I kept screaming and a hole, from which branched out a purple light, suddenly showed up in front of me. It was a tunnel and two hands pushed me inside it. The tunnel was very thin and as soon as I got in, I heard a sound like, 'wooooom'. I immediately opened my eyes and heard my grandmother screaming and I asked my mom to keep her calm. My brother called the ambulance but when they arrived, I had just become conscious (I don't actually remember anything about the doctors, except a confused memory of a uniform, maybe). I stood up and after two steps, I threw up everything.

I don't have any other memory until the evening, when the news communicated that three guys died in a snow avalanche in the mountains that same day. I don't know why, but they showed the pictures of the three guys and the one in the middle was exactly the same person I spoke with. He was wearing the same red down Colmar jacket.
